abbrechen
Suchergebnisse werden angezeigt für 
Stattdessen suchen nach 
Meintest du: 
  • Geschlossen

PHP-Version

Contributor
1 von 6

Ich bin Swisscom-Kunde seit jeher, KMU-Kunde seit Mai 2014 und war von 2000 - 2007 als Deputy CPO Mitglied des Top Managements Konzern. Bisher war Swisscom ein Premium-Anbieter mit bester Qualität zu einem fairen Preis. Das hat sich als KMU-Kunde geändert:

 

1) Migration auf Vivo L und all IP im Mai 2014 = 10 Tage ohne Netz - ca. 3 Arbeitstage futsch.

 

2) Migration auf Office 365 im Juni 2015 = weniger Funktionalitäten, schlechte Performamce.

 

3) Das Neuste: Mein Websupporter meldet dies:

 

Ich wollte mich kurz bezüglich dem Hosting deiner Webseite bei dir melden. Das Swisscom-Hosting nutzt die PHP-Version 5.3.24. Diese Version wird seit August 2014 nicht mehr supportet und wird somit mittlerweile auch als sehr grosses Sicherheitsrisiko eingestuft. Dies hat zur Folge, dass wir mittlerweile leider nicht mehr alle verfügbaren Updates deines CMS durchführen können. Unsere Anfragen bei Swisscom bleiben leider erfolglos bzw. wir werden jeweils mit unbestimmten Zeitangaben vertröstet.

Swisscom ist mittlerweile der einzige mir bekannte Hosting-Anbieter, welcher noch mit dieser Version unterwegs ist. Aus Sicherheitsüberlegungen müssten wir dir empfehlen das Hosting zu wechseln, da wir leider nicht wissen ob und wann Swisscom hier auf eine neuere Version updatet.
 
Seit Frühling 2015 können Sie die wichtige Security-Frage nicht beantworten! Meine Reaktion wird sein (wenn ich in Kürze keine Garantien habe): Ich wechsle zu einem bezüglich Security und Performance Provider.
5 Kommentare
Contributor
2 von 6

Lieber roku

 

 

Am 10. November 2015 ist ein Update der PHP-Version 5.6.12 geplant. Genauere Informationen werden in den nächsten Tagen folgen. Wir empfehlen, dass der Websupporter direkt mit uns Kontakt aufnimmt.

 

 

Lieber Gruss

RonnyG.  

New Member
3 von 6

Hallo

 

Ich habe ein Kunde, der das HomepageTool S Angebot nutzt. Auf dessen Hosting ist immer noch PHP 5.3.24 installiert. 

 

Was kann ich tun, damit auf dem Hosting eine neuere PHP-Version verfübar wird?

 

 

Contributor
4 von 6
Guten Tag RonnyG, bitte die Frage zu obigem Thema vom 24.11. 16:55 asap beantworten. Danke und Gruss, roku
Novice
5 von 6

Hallo rqk8j 

 

Ein Upgrade auf php 5.6.14 können Sie über eine Modifikation der Datei php5.cgi aktivieren.

 

Die Datei php5.cgi kann mittels eines ftp-Client vom ftp-Server aus dem Ordner www/cgi-local heruntergeladen werden. Für ein Upgrade der php Version modifiziere bitte die letzten drei Zeilen mit einem Editor und ersetze php5 durch php-5.6.14.

 

Von:

 

exec /usr/bin/sudo -E -u $subuser /bin/sh -c 'exec /usr/local/packages/php5/bin/php-cgi $PATH_TRANSLATED'

fi

exec /usr/local/packages/php5/bin/php-cgi $PATH_TRANSLATED

 

auf:

 

exec /usr/bin/sudo -E -u $subuser /bin/sh -c 'exec /usr/local/packages/php-5.6.14/bin/php-cgi $PATH_TRANSLATED'

fi

exec /usr/local/packages/php-5.6.14/bin/php-cgi $PATH_TRANSLATED

 

Danach laden Sie die Datei wieder ins Verzeichnis www/cgi-local . Die php-Version 5.6.14 ist dann sofort aktiv.

 

Ich hoffe dir hiermit geholfen zu haben und wünsche einen schönen Tag. 

 

AlemkaR

New Member
6 von 6

Super, hat geklappt!

 

Vielen Dank für Deine Unterstützung.